Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Interface QuoteSymbolByteChecker

All Known Implementing Classes:
  QuoteSymbolByteCheckerImpl

    public interface QuoteSymbolByteChecker

Field Summary
`static QuoteSymbolByteChecker` | `NULL`

Method Summary
`int` | `foundEscapedQuoteSymbol(byte[] data, int start, int length)`
`boolean` | `foundEscapedQuoteSymbol(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`int` | `foundQuoteSymbol(byte[] data, int start, int length)`
`boolean` | `foundQuoteSymbol(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`int` | `length()`

Field Detail

### NULL

    static final QuoteSymbolByteChecker NULL

Method Detail

### foundEscapedQuoteSymbol

    boolean foundEscapedQuoteSymbol(ByteBuffer recordBuffer,
                                    ByteArrayBuilder byteArrayBuilder)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundEscapedQuoteSymbol

    int foundEscapedQuoteSymbol(byte[] data,
                                int start,
                                int length)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    boolean foundQuoteSymbol(ByteBuffer recordBuffer,
                             ByteArrayBuilder byteArrayBuilder)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    int foundQuoteSymbol(byte[] data,
                         int start,
                         int length)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### length

    int length()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD